module Initd::Export

  def export_path
    Pathname.new(location).expand_path
  end

  def setup
    @exported = []
    say "creating: #{export_path}"
    FileUtils.mkdir_p(export_path)
  end

  def cleanup
    Dir.glob export_path.join("#{app}-*") do |filename|
      filename = Pathname.new(filename)
      contents = File.new(filename, 'r').read
      next unless contents.match(/# Autogenerated by foreman/)
      next if @exported.include? filename
      say 'removing ' + filename.to_s
      remove filename
    end
  end

  def remove path
    File.unlink path
  end

  def export_file (path, contents)
    write_file(path, contents)
    File.chmod(0755, path)
    @exported.push path
  end

  def concurrency(name)
    engine.formation[name]
  end

  def path(name)
    export_path.join("#{app}-#{name}")
  end
end
